Search the Community
Showing results for tags 'entsel'.
-
entsel to ssget (create dimension for multiple block)
Pugazh posted a topic in AutoLISP, Visual LISP & DCL
This lisp for working select single block but i want to need create dimension for multiple block. help me!! (defun C:Bdim ( / ) (if (and (setq sel (entsel "Select a block: ")) (= (cdr (assoc 0 (setq nfo (entget (car sel))))) "INSERT") ) (vlax-for item (vla-item (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object)))(cdr (assoc 2 nfo))) (setq items (vlax-vla-object->ename item)) (setq EntityData (entget items)) (if (= (cdr (assoc 0 EntityData)) "LINE") (progn (vl-cmdf "_.dimaligned" "_non" (cdr (assoc 10 EntityData)) "_non" (cdr (assoc 11 EntityData)) "_non" (cdr (assoc 10 EntityData))) ) ) ) (prompt "\nNo block selected") ) (princ) ) -
Hi, Sorry for the heading, I spelt entsel all wrong. Can someone change that please. I'm selecting a closed polyine using an entsel and the using an ssget to select other objects. How do I filter out that entsel item. Like so: (setq ent_1 (car (entsel "\nPlease select something"))) Then filter it. I read in the docs you can't filter an entity (code 0). So how do I accomplish this? My feeble attempt: (while (not ent_1) (setq ss_1 (ssget '((0 . "LWPOLYLINE") (-4 . "=") (70 . 1)))) )
-
Allow the user to select a exactly one line
plackowski posted a topic in AutoLISP, Visual LISP & DCL
I need to know the end points (p1 and p2) of a line chosen by the user. How can I let them only select a single line? I'm currently using the following: (if (setq ss (ssget '((0 . "LINE")))) (setq l1ent (entget (ssname ss 0))) (setq p1 (cdr (assoc 10 l1ent))) (setq p2 (cdr (assoc 11 l1ent))) This works, but it still allows the user to grab more objects than necessary. I'm thinking I need to use entsel, but what if they select a different object? Would I need to create a while loop to keep prompting them until they choose a line, or is this functionality built into entsel? -
Hello friends, as some of you know, entsel is a good function to select single objects, but it has a severe flaw in distinguishing between "pressing enter" and "selecting nothing":(. Has Anyone a suggestion to conquer this defection:oops:?